[Buildroot] [PATCH 2/2] package/timescaledb: add dependency on postgresql 12

Maxim Kochetkov fido_max at inbox.ru
Tue Dec 29 09:52:55 UTC 2020


TimescaleDB 1.7.4 does not support postgresql 13.
PostgreSQL 12 must be selected to build timescaledb.

Signed-off-by: Maxim Kochetkov <fido_max at inbox.ru>
---
 package/timescaledb/Config.in | 1 +
 1 file changed, 1 insertion(+)

diff --git a/package/timescaledb/Config.in b/package/timescaledb/Config.in
index af4a868527..f0e1c2e9b2 100644
--- a/package/timescaledb/Config.in
+++ b/package/timescaledb/Config.in
@@ -1,6 +1,7 @@
 config BR2_PACKAGE_TIMESCALEDB
 	bool "timescaledb"
 	depends on BR2_PACKAGE_POSTGRESQL
+	depends on BR2_POSTGRESQL_VERSION_12
 	help
 	  TimescaleDB is an open-source database designed
 	  to make SQL scalable for time-series data.
-- 
2.29.2




More information about the buildroot mailing list